Update DataStoreMetadata
curl --request PUT \
--url https://platform.kodexa.ai/api/data-stores/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": true,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": true,
"eventAware": true,
"extensionPackRef": "<string>",
"id": "<string>",
"metadata": {
"deleteProtection": true,
"metadata": {
"indexed": true,
"type": "<string>"
},
"storePurpose": "<string>",
"storeType": "<string>"
},
"name": "<string>",
"organizationId": "<string>",
"publicAccess": true,
"slug": "<string>",
"supportsScheduling": true,
"template": true,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}
'import requests
url = "https://platform.kodexa.ai/api/data-stores/{id}"
payload = {
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": True,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": True,
"eventAware": True,
"extensionPackRef": "<string>",
"id": "<string>",
"metadata": {
"deleteProtection": True,
"metadata": {
"indexed": True,
"type": "<string>"
},
"storePurpose": "<string>",
"storeType": "<string>"
},
"name": "<string>",
"organizationId": "<string>",
"publicAccess": True,
"slug": "<string>",
"supportsScheduling": True,
"template": True,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changeSequence: 123,
createdOn: '2023-11-07T05:31:56Z',
deleteUserEmail: '<string>',
deleteUserId: '<string>',
deleted: true,
deletedDate: '2023-11-07T05:31:56Z',
deprecated: true,
eventAware: true,
extensionPackRef: '<string>',
id: '<string>',
metadata: {
deleteProtection: true,
metadata: {indexed: true, type: '<string>'},
storePurpose: '<string>',
storeType: '<string>'
},
name: '<string>',
organizationId: '<string>',
publicAccess: true,
slug: '<string>',
supportsScheduling: true,
template: true,
type: '<string>',
updatedOn: '2023-11-07T05:31:56Z',
uuid: '<string>',
yamlSource: '<string>'
})
};
fetch('https://platform.kodexa.ai/api/data-stores/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": true,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": true,
"eventAware": true,
"extensionPackRef": "<string>",
"id": "<string>",
"metadata": {
"deleteProtection": true,
"metadata": {
"indexed": true,
"type": "<string>"
},
"storePurpose": "<string>",
"storeType": "<string>"
},
"name": "<string>",
"organizationId": "<string>",
"publicAccess": true,
"slug": "<string>",
"supportsScheduling": true,
"template": true,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}Data Stores
Update DataStoreMetadata
Updates an existing DataStoreMetadata. Data stores provide structured data storage.
PUT
/
api
/
data-stores
/
{id}
Update DataStoreMetadata
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Body
application/json
Data store metadata describes a data store for structured data storage.
Show child attributes
Show child attributes
Response
Updated DataStoreMetadata
Data store metadata describes a data store for structured data storage.
Show child attributes
Show child attributes
⌘I
